This is an automated email from the git hooks/post-receive script.

gregoa pushed a change to branch master
in repository libscope-upper-perl.

      from  96391b7   releasing package libscope-upper-perl version 0.25-1
      adds  937a967   Really be compatible with the OP_PARENT feature
      adds  13aba0e   Remove an unused variable declaration
      adds  40dffe2   Don’t use CvPADLIST on XSUBs
      adds  3beb96a   Update VPIT::TestHelpers to 3c878c7c
      adds  cd407ac   Bump copyright year
      adds  68a5aef   This is 0.26
      adds  153930f   Fix a memory leak with the uid() feature
      adds  3ed637b   Replace STATIC by static
      adds  3dd049d   Silence an "unused label" compiler warning
      adds  219fcff   Revamp the setup boot logic
      adds  c50db90   Release UID global memory at global teardown time
      adds  1958b3c   Update VPIT::TestHelpers to 6cd68168
      adds  76f7748   Update VPIT::TestHelpers to 6ca15279
      adds  393fc03   Thoroughly test module loading in threads
      adds  7f24c0f   In t/09-load-threads.t, handle spawn() failures gracefully
      adds  142a069   Also test that the module can be loaded in the main body
      adds  0781a11   Update VPIT::TestHelpers to 4eeb5afc
      adds  e86e820   Protect t/09-load-threads.t against old relocated perls
      adds  52f4d61   Don't compile su_uplevel_storage_delete() before perl 
      adds  515346d   Update the ActivePerl/gcc-3.4 hack for EUMM 7.04
      adds  9aba074   Add POSIX to build requires
      adds  97dc8ef   Preserve PL_scopestack[cx->blk_oldscopesp - 1] in su_pop()
      adds  0891381   Correctly use $TEST_VERBOSE in the testdeb target
      adds  c827e4d   Also preserve PL_scopestack[cx->blk_oldscopesp - 1] in 
      adds  f8e87b7   Document that we can no longer die from uplevel in the 
      adds  434ceb0   This is 0.27
      adds  565c501   Imported Upstream version 0.27
       new  155d21e   Merge tag 'upstream/0.27'
       new  f8ea5d1   Update debian/changelog
       new  e97b194   Update years of upstream and packaging copyright.
       new  abb16d7   releasing package libscope-upper-perl version 0.27-1

The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.

Summary of changes:
 Changes                          |  21 ++++
 MANIFEST                         |   2 +-
 META.json                        |   5 +-
 META.yml                         |   5 +-
 Makefile.PL                      |  14 ++-
 README                           |  11 +-
 Upper.xs                         | 246 ++++++++++++++++++++++++-------------
 debian/changelog                 |   7 ++
 debian/copyright                 |   4 +-
 lib/Scope/               |   9 +-
 t/09-load-threads.t              | 259 +++++++++++++++++++++++++++++++++++++++
 t/54-unwind-threads.t            |   9 +-
 t/59-yield-threads.t             |   9 +-
 t/69-uplevel-threads.t           |   9 +-
 t/79-uid-threads.t               |   9 +-
 t/lib/Scope/Upper/ |  68 ----------
 t/lib/VPIT/        | 120 ++++++++++++++++--
 17 files changed, 621 insertions(+), 186 deletions(-)
 create mode 100644 t/09-load-threads.t
 delete mode 100644 t/lib/Scope/Upper/

Alioth's /usr/local/bin/git-commit-notice on 

Pkg-perl-cvs-commits mailing list

Reply via email to